• VLC Media Player 1.0.6 Elimina Vulnerabilidades

    A versão 1.0.6 do VLC Media Player através de seus desenvolvedores, eliminou nove vulnerabilidades de segurança e assim, passa a oferecer maior estabilidade aos seus usuários. As vulnerabilidades foram descobertas pelos desenvolvedores durante o trabalho no código para a versão 1.1.0, e incluem um heap overflow nos decodificadores de áudio para DTS, MPEG e A/52, e erros de memória nos formato AVI, ASF e no demultiplexador Matroska.



    Algumas das falhas provavelmente poderiam ser exploradas para injetar e executar códigos via arquivos de mídia que eventualmente, viessem a ser criados. Para esse tipo de ataque ter êxito, o usuário teria que baixar e abrir um arquivo, como por exemplo, um arquivo de vídeo manipulado. O módulo para Real Time Messaging Protocol (RTMP) foi completamente removido por razões de segurança, e os desenvolvedores montaram um planejamento para restabelecer a entrada RTMP baseado no FFmpeg VLC 1.1.0. A lista completa de mudanças está disponível na própria página do VLC 1.0.6 Media Player. A nova versão está disponível apenas como código fonte, mas os binários para Windows e Mac OS X provavelmente estarão liberados em breve.


    Saiba Mais:

    [1] Heise On-line : http://www.h-online.com/open/news/it...ed-985030.html

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L